import React, { useState, useEffect } from "react";
import LeftNavigationUiConfiguratorTest from "./LeftNavigationUiConfiguratorTest";
import { Form, Row, Col, Button } from "react-bootstrap";
import Alert from "react-bootstrap/Alert";

function ConfigureJenkinsTest(props) {
  // const [jenkinsCredential, setJenkinsCredential] = useState("");
  // const [jenkinsServerUrl, setJenkinsServerUrl] = useState("");
  // const jenkinsCredentialsChangeHandler = (event) => {
  //   setJenkinsCredential(event.target.value);
  //   console.log(jenkinsCredential);
  // };
  // const jenkinsServerUrlChangeHandler = (event) => {
  //   setJenkinsServerUrl(event.target.value);
  //   console.log(jenkinsServerUrl);
  // };
  // const configureJenkinsSubmitHandler = () => {
  //   console.log("Jenkins form submitted");
  // };
  return /*#__PURE__*/React.createElement("section", null, /*#__PURE__*/React.createElement("div", {
    className: "developer-list-page"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-sm-12"
  }, /*#__PURE__*/React.createElement("h2", null, "Configure Jenkins"), /*#__PURE__*/React.createElement("ul", {
    className: "breadcrumb"
  }, /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Home")), /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item active"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/configure-jenkins"
  }, "Configure Jenkins")))))), /*#__PURE__*/React.createElement("main", {
    id: "main mt-5"
  }, props.errorMessage && /*#__PURE__*/React.createElement(Alert, {
    variant: "danger"
  }, props.errorMessage), props.successMessage && /*#__PURE__*/React.createElement(Alert, {
    variant: "success"
  }, props.successMessage), /*#__PURE__*/React.createElement("section", {
    id: "subpage",
    className: "wow fadeInUp"
  }, /*#__PURE__*/React.createElement("div", {
    className: "upload-swagger"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "row form-section nopadding"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-lg-3"
  }, props.leftNavigation), /*#__PURE__*/React.createElement("div", {
    className: "col-lg-9 col-sm-12 swag-border-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pageHeaders"
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "configureJenkinsCredentials"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Credentials ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    defaultValue: props.jenkinsCredentialsDefaultValue,
    onChange: props.jenkinsCredentialsChange //onChange={jenkinsCredentialsChangeHandler}

  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "configureJenkinsServerUrl"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Server Url ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    defaultValue: props.jenkinsServerUrlDefaultValue,
    onChange: props.jenkinsServerUrlChange //onChange={jenkinsServerUrlChangeHandler}

  })))), /*#__PURE__*/React.createElement("div", {
    className: "text-right"
  }, /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: props.configureJenkinsSubmit
  }, "Submit")))))))))));
}

export default ConfigureJenkinsTest;