import React, { useState, useEffect } from "react";
import LeftNavigationUiConfiguratorTest from "./LeftNavigationUiConfiguratorTest";
import { Form, Row, Col, Button } from "react-bootstrap";
import axios from "axios";

function ConfigureScmTest(props) {
  // const [scmCredential, setScmCredential] = useState("");
  // const [scmGitUrl, setScmGitUrl] = useState("");
  // const [scmRepoName, setScmRepoName] = useState("");
  // const [scmRepoUrl, setScmRepoUrl] = useState("");
  // const scmCredentialsChangeHandler = (event) => {
  //   setScmCredential(event.target.value);
  //   console.log(scmCredential);
  // };
  // const scmGitUrlChangeHandler = (event) => {
  //   setScmGitUrl(event.target.value);
  //   console.log(scmGitUrl);
  // };
  // const scmRepoNameChangeHandler = (event) => {
  //   setScmRepoName(event.target.value);
  //   console.log(scmRepoName);
  // };
  // const scmRepoUrlChangeHandler = (event) => {
  //   setScmRepoUrl(event.target.value);
  //   console.log(scmRepoUrl);
  // };
  // const configureScmSubmitHandler = () => {
  //   axios.get("http://35.184.81.221:9001/globalConfig/scm").then((resp) => {
  //     console.log(resp);
  //   });
  // };
  return /*#__PURE__*/React.createElement("section", null, /*#__PURE__*/React.createElement("div", {
    className: "developer-list-page"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-sm-12"
  }, /*#__PURE__*/React.createElement("h2", null, "Configure SCM"), /*#__PURE__*/React.createElement("ul", {
    className: "breadcrumb"
  }, /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Home")), /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item active"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/configure-scm"
  }, "Configure SCM")))))), /*#__PURE__*/React.createElement("main", {
    id: "main mt-5"
  }, /*#__PURE__*/React.createElement("section", {
    id: "subpage",
    className: "wow fadeInUp"
  }, /*#__PURE__*/React.createElement("div", {
    className: "upload-swagger"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "row form-section nopadding"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-lg-3"
  }, props.leftNavigation), /*#__PURE__*/React.createElement("div", {
    className: "col-lg-9 col-sm-12 swag-border-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pageHeaders"
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "configureScmCredentials"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Credentials ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    defaultValue: props.scmCredentialsDefaultValue,
    onChange: props.scmCredentialsChange //onChange={scmCredentialsChangeHandler}

  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "configureScmGitUrl"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Git URL ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    defaultValue: props.scmGitUrlDefaultValue,
    onChange: props.scmGitUrlChange //onChange={scmGitUrlChangeHandler}

  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "configureScmRepoName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Repo Name ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    defaultValue: props.scmRepoNameDefaultValue,
    onChange: props.scmRepoNameChange //onChange={scmRepoNameChangeHandler}

  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "configureScmRepoUrl"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Repo URL ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    defaultValue: props.scmRepoUrlDefaultValue,
    onChange: props.scmRepoUrlChange //onChange={scmRepoUrlChangeHandler}

  })))), /*#__PURE__*/React.createElement("div", {
    className: "text-right"
  }, /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: props.configureScmSubmit
  }, "Submit")))))))))));
}

export default ConfigureScmTest;