import React, { useState, useEffect } from "react";
import LeftNavigationUiConfiguratorTest from "./LeftNavigationUiConfiguratorTest";
import { Form, Row, Col, Button, Table } from "react-bootstrap";
import Alert from "react-bootstrap/Alert";
import { FaEdit, FaUserAlt, FaBan } from "react-icons/fa";
import { Link, NavLink } from "react-router-dom";

function ListPlanetTest(props) {
  return /*#__PURE__*/React.createElement("section", null, /*#__PURE__*/React.createElement("div", {
    className: "developer-list-page"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-sm-12"
  }, /*#__PURE__*/React.createElement("h2", null, "List Planet"), /*#__PURE__*/React.createElement("ul", {
    className: "breadcrumb"
  }, /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Home")), /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item active"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/saas-list-planet"
  }, "List Planet")))))), /*#__PURE__*/React.createElement("main", {
    id: "main mt-5"
  }, /*#__PURE__*/React.createElement("section", {
    id: "subpage",
    className: "wow fadeInUp"
  }, /*#__PURE__*/React.createElement("div", {
    className: "upload-swagger"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "row form-section nopadding"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-lg-3"
  }, props.leftNavigation), /*#__PURE__*/React.createElement("div", {
    className: "col-lg-9 col-sm-12 swag-border-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pageHeaders"
  }, /*#__PURE__*/React.createElement(Table, {
    className: "table table-bordered table-striped data_table table"
  }, /*#__PURE__*/React.createElement("thead", null, /*#__PURE__*/React.createElement("tr", {
    className: "text-center"
  }, /*#__PURE__*/React.createElement("th", {
    width: "20%"
  }, "Planet ID"), /*#__PURE__*/React.createElement("th", {
    width: "30%"
  }, "Description"), /*#__PURE__*/React.createElement("th", {
    width: "30%"
  }, "Orgs"), /*#__PURE__*/React.createElement("th", {
    width: "20%"
  }, "Operations"))), /*#__PURE__*/React.createElement("tbody", {
    className: "data_table_scrollbar"
  }, props.result && props.result.map((el, index) => /*#__PURE__*/React.createElement("tr", {
    key: Math.random()
  }, /*#__PURE__*/React.createElement("td", {
    width: "20%",
    className: "table-content",
    key: el + "planetId"
  }, el.planetId), /*#__PURE__*/React.createElement("td", {
    width: "30%",
    className: "table-content",
    key: el + "planetDescription"
  }, el.planetDesc), /*#__PURE__*/React.createElement("td", {
    width: "30%",
    className: "table-content",
    key: el + "planetOrgs"
  }, el.orgs.map((elem, idx) => /*#__PURE__*/React.createElement("span", null, elem.orgName, /*#__PURE__*/React.createElement("br", null), " "))), /*#__PURE__*/React.createElement("td", {
    width: "20%",
    key: el + "action",
    className: "table-content fedco-list-actions"
  }, /*#__PURE__*/React.createElement("span", {
    className: "action-pad"
  }, /*#__PURE__*/React.createElement(Link, {
    to: "/update-planet-info?planetId=" + el.planetId
  }, /*#__PURE__*/React.createElement(FaEdit, null))))))))))))))));
}

export default ListPlanetTest;