import React from "react";
import { Link, NavLink } from "react-router-dom";

function LeftNavigationUiConfiguratorTest(props) {
  return (
    <div>
      <div className="col-sm-3 col-sm-12">
        <nav className="sidebar-nav mb-5">
          <ul className="nav">
            <li className="active">Global Config</li>
            <li>
              <NavLink className="selected" to="/configure-jenkins">
                Jenkins
              </NavLink>
            </li>
            <li>
              <NavLink className="selected" to="/configure-scm">
                SCM
              </NavLink>
            </li>
            <li>
              <NavLink className="selected" to="/configure-functional">
                Functional
              </NavLink>
            </li>
            <li>
              <NavLink className="selected" to="/configure-log">
                Log
              </NavLink>
            </li>
            <li>
              <NavLink className="selected" to="/configure-maven">
                Maven
              </NavLink>
            </li>
            <li>
              <NavLink className="selected" to="/configure-nodejs">
                Node JS
              </NavLink>
            </li>
            <li>
              <NavLink className="selected" to="/configure-tools">
                Tools
              </NavLink>
            </li>
            <li>
              <NavLink className="selected" to="/configure-steps">
                Steps
              </NavLink>
            </li>
            <li>
              <NavLink className="selected" to="/onboard-org-env">
                Onboard Org & Environments
              </NavLink>
            </li>
            <li>
              <NavLink className="selected" to="onboard-entity-deployment-info">
                Onboard - Entity Deployment Info
              </NavLink>
            </li>
            <li>
              <NavLink className="selected" to="view-entity-deployment-info">
                Update - Entity Deployment Info
              </NavLink>
            </li>
          </ul>
        </nav>
      </div>
    </div>
  );
}

export default LeftNavigationUiConfiguratorTest;
